AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Get a bank account token

Get a bank account token by its reference.

Last updated 13 September 2026

get

https://api.flutterwave.com/v3/accounts/token/{reference}

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

reference string required
This is the reference of a generated token. This is returned as reference in the response when generating a token.

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

token string

reference string

status string

start_date string

end_date string

amount integer

currency string

address string

narration string

processor_code string

processor_response string

active_on string

created_at string

updated_at string

account_id integer

customer_id integer

FILL IN ALL REQUIRED FIELDS

status string

message string

data string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys